curl --request PATCH \
--url https://vanguard.profilebehavior.com/api/v4/tag/{tagId}/profiles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"profiles": [
"507f191e810c19729de860ea"
]
}
'import requests
url = "https://vanguard.profilebehavior.com/api/v4/tag/{tagId}/profiles"
payload = { "profiles": ["507f191e810c19729de860ea"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({profiles: ['507f191e810c19729de860ea']})
};
fetch('https://vanguard.profilebehavior.com/api/v4/tag/{tagId}/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"tag": {
"label": "Staff",
"color": "emerald",
"profiles": [
"6592008029c8c3e4dc76256c",
"507f191e810c19729de860ea"
]
},
"status": "success"
}{
"code": 400,
"error": {
"message": "Invalid request body",
"timestamp": "2025-01-01T09:42:52.329056-05:00"
},
"status": "error"
}{
"code": 401,
"error": {
"message": "Invalid token",
"timestamp": "2025-01-01T09:42:52.329056-05:00"
},
"status": "error"
}{
"code": 404,
"error": {
"message": "(resource) not found",
"timestamp": "2025-01-01T09:42:52.329056-05:00"
},
"status": "error"
}Update Tag Profiles
Updates the profiles assigned to an existing tag.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the tag to update profiles for.
Body
The properties to be assigned to the tag.
An array of profile IDs to be associated with the tag.
Response
Success
Standard response object for successful single-resource requests in the Profile Behavior API. Contains an HTTP status code, the returned resource data, and a status indicator.
HTTP status code of the successful response.
Always "success" for successful responses.
success Represents a tag used for organizing profiles, teams, or groups within an account. Tags allow for flexible grouping, filtering, and analytics across individuals and teams.
Show child attributes
Show child attributes
Was this page helpful?